function EIDOLON=Assemble_Eidolon(EIDOLON_scale)

% 
% USAGE:   EIDOLON=Assemble_Eidolon(EIDOLON_scale)
% 
% Re-assembles the eidolon from the difference scale image.
% 
% INPUTS:
% 
% EIDOLON_scale: Cell array containing the eidolon components (1 cell per scale, cell contents are MxN or MxNx3 matrices for grayscale or color images);
% 
% OUTPUTS:
% 
% EIDOLON: Same format as the image_matrix (color or grayscale image);


MAX_SCALE=length(EIDOLON_scale);

NLAYERS=length(size(EIDOLON_scale{1}));
% Grayscale image only has x and y coordinates
if NLAYERS==2
    NLAYERS=1;
end



for nlay=1:NLAYERS
    EIDOLON(:,:,nlay)=EIDOLON_scale{MAX_SCALE}(:,:,nlay);
    for nscale=1:(MAX_SCALE-1)
        EIDOLON(:,:,nlay)=EIDOLON(:,:,nlay)+EIDOLON_scale{nscale}(:,:,nlay);
    end
end


