function Diff_scaleim=Decompose_Image(imagespect,GAUSS_KRNL_SPECT)

% USAGE:   Diff_scaleim=Decompose_Image(imagespect,GAUSS_KRNL_SPECT)
% 
% Decomposes the image in difference scale components (plus the full representation of the coarsest scale)
% 
% INPUTS: 
% 
% imagespect: Cell array containing the spectrum of the original image (1 or 3 cells for grayscale or color images)
% GAUSS_KRNL_SPECT: Cell array containing the spectrum of the Gaussian kernels (one cell for each scale)
% 
% OUTPUTS:
% 
% Diff_scaleim: Cell array containing the image components (1 cell per scale, cell contents are MxN or MxNx3 matrices for grayscale or color images);

for nscale=1:length(GAUSS_KRNL_SPECT)
    for nlay=1:length(imagespect)
        scaleim{nscale}(:,:,nlay)=real(ifft2(imagespect{nlay}.*GAUSS_KRNL_SPECT{nscale}));
    end    
end
MAX_SCALE=nscale;

for nscale=1:(MAX_SCALE-1)
    Diff_scaleim{nscale}=scaleim{nscale}-scaleim{nscale+1};
end
Diff_scaleim{MAX_SCALE}=scaleim{MAX_SCALE};